<?php

function package_general_css(){
define('LIST_MARGIN_SIZE0', '3em');
define('LIST_MARGIN_SIZE1', '5em');
define('LIST_MARGIN_SIZE2', '7em');

define('FONT_SIZE_TINY',         48);
define('FONT_SIZE_SCRIPTSIZE',   57);
define('FONT_SIZE_FOOTNOTESIZE', 69);
define('FONT_SIZE_SMALL',        83);
define('FONT_SIZE_NORMALSIZE',  100);
define('FONT_SIZE_LARGE',       120);
define('FONT_SIZE__LARGE',      144);
define('FONT_SIZE___LARGE',     172);
define('FONT_SIZE_HUGE',        207);
define('FONT_SIZE__HUGE',       248);
ob_start();
?>
/************************************************/
/* font size */

.tiny        { font-size : <?php echo FONT_SIZE_TINY;         ?>%; }
.scriptsize  { font-size : <?php echo FONT_SIZE_SCRIPTSIZE;   ?>%; }
.footnotesize{ font-size : <?php echo FONT_SIZE_FOOTNOTESIZE; ?>%; }
.small       { font-size : <?php echo FONT_SIZE_SMALL;        ?>%; }
.normalsize  { font-size : <?php echo FONT_SIZE_NORMALSIZE;   ?>%; }
.large       { font-size : <?php echo FONT_SIZE_LARGE;        ?>%; }
.Large       { font-size : <?php echo FONT_SIZE__LARGE;       ?>%; }
.LARGE       { font-size : <?php echo FONT_SIZE___LARGE;      ?>%; }
.huge        { font-size : <?php echo FONT_SIZE_HUGE;         ?>%; }
.Huge        { font-size : <?php echo FONT_SIZE__HUGE;        ?>%; }

/************************************************/
/* title */

h1.title{
	font-size : <?php echo FONT_SIZE___LARGE; ?>%;
	text-align : center;
}

p.doc_info{
	font-size : <?php echo FONT_SIZE_FOOTNOTESIZE; ?>%;
	text-align : right;
}

/************************************************/
/* chapter, section, etc */

h2.chapter{
	font-size : <?php echo FONT_SIZE__LARGE; ?>%;
	font-weight : bold;
	padding-left : 0.5em;
	margin-top : 3ex;
	margin-bottom : 1ex;
	background-color : #f6f6f6;
	border-left : 15px solid #999999;
	border-bottom : 3px solid #999999;
}

h3.section{
	font-size : <?php echo FONT_SIZE_LARGE; ?>%;
	font-weight : bold;
	padding-left : 0.5em;
	margin-top : 3ex;
	margin-bottom : 1ex;
	background-color : #f6f6f6;
	border-left : 5px solid #999999;
	border-bottom : 1px solid #999999;
}

h4.subsection{
	font-size : 100%;
	font-weight : bold;
	padding-left : 0.5em;
	margin-top : 2ex;
	margin-bottom : 1ex;
	background-color : #f6f6f6;
	border-bottom : 1px solid #999999;
}

h5.subsubsection{
	font-size : 100%;
	font-weight : bold;
	padding-left : 1.5em;
	margin-top : 2ex;
	margin-bottom : 1ex;
	border-bottom :1px solid #999999;
}

/************************************************/
/* tableofcontents */

div.tableofcontents_main{
	margin : 3ex 1em;
	padding : 0ex 1em;
	border-top : 3px double #ccccff;
	border-bottom : 3px double #ccccff;
	background-color : #f6ffff;
}

div.tableofcontents_chapter{
	font-weight : bold;
	margin : 1ex 0em;
}

div.tableofcontents_section{
	font-weight : normal;
	margin-left : 2em;
}

div.tableofcontents_subsection{
	margin-left : 2em;
}

div.tableofcontents_subsubsection{
	
}

/************************************************/
/* footnote */

.footnote{
	font-size : <?php echo FONT_SIZE_FOOTNOTESIZE; ?>%;
	vertical-align : super;
}

.theendnote_hr{
	margin-left : 0px;
	margin-right : auto;
	/* IE用 */
	text-align : left;
	width : 15em;
}

.theendnotes{
	margin-left : 3em;
	/*border : 1px dotted red;*/
}

.theendnote{
	margin : 0.5ex 0em;
}

.note{
	margin-left : 1ex;
	font-size : <?php echo FONT_SIZE_FOOTNOTESIZE; ?>%;
}

/************************************************/
/* font */

.textbf{
	font-weight : bold;
}

.textit{
	font-style : italic;
}

.underline{
	text-decoration : underline;
}

/************************************************/
/* list */
/* pukiwikiから(一部)拝借 */

ul{
	margin-top:.5em;
	margin-bottom:.5em;
	line-height:130%;
}
ul.list0{
	list-style-type : disc;
	margin-left : <?php echo LIST_MARGIN_SIZE0; ?>;
}
ul.list1{
	list-style-type : circle;
	margin-left : <?php echo LIST_MARGIN_SIZE1; ?>;
}
ul.list2{
	list-style-type : square;
	margin-left : <?php echo LIST_MARGIN_SIZE2; ?>;
}
ol.list0{
	list-style-type : decimal;
	margin-left : <?php echo LIST_MARGIN_SIZE0; ?>;
}
ol.list1{
	list-style-type : lower-roman;
	margin-left : <?php echo LIST_MARGIN_SIZE1; ?>;
}
ol.list2{
	list-style-type : lower-alpha;
	margin-left : <?php echo LIST_MARGIN_SIZE2; ?>;
}

/************************************************/
/* tabular */

table.tabular{
	border : 3px double #666666;
	border-collapse : collapse;
}

tr.tabular{
	
}

tr.tabular:hover{
	background-color : #ffffcc;
}

td.tabular{
	border : 1px solid #999999;
	padding : 3px 5px;
	font-size : 90%;
}

/************************************************/
/* quotation */

.quotation{
	width : 80%;
	margin-left : auto;
	margin-right : auto;
	border : 1px solid #888888;
	padding : 1ex 1em;
	background-color : #eeeeee;
}

/************************************************/
/* misc */

.equation{
	text-align : center;
}

.eqnarray{
	text-align : center;
}
<?php
return ob_get_clean();
}

?>
